# Ogre::HighLevelGpuProgramFactory Class Reference

Interface definition for factories of HighLevelGpuProgram. More...

`#include <OgreHighLevelGpuProgramManager.h>`

Inheritance diagram for Ogre::HighLevelGpuProgramFactory:

List of all members.

## Public Member Functions

| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()
virtual const String & | getLanguage (void) const=0
| Get the name of the language this factory creates programs for.
virtual HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)=0
virtual void | destroy (HighLevelGpuProgram *prog)=0

## Detailed Description

Interface definition for factories of HighLevelGpuProgram.

Definition at line 37 of file OgreHighLevelGpuProgramManager.h.

## Constructor & Destructor Documentation

Ogre::HighLevelGpuProgramFactory::HighLevelGpuProgramFactory | ( |  | ) |

| Definition at line 40 of file OgreHighLevelGpuProgramManager.h.

virtual Ogre::HighLevelGpuProgramFactory::~HighLevelGpuProgramFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual HighLevelGpuProgram* Ogre::HighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) | `[pure virtual]`

| Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory.

virtual void Ogre::HighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[pure virtual]`

| Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory.

virtual const String& Ogre::HighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const`[pure virtual]`

| Get the name of the language this factory creates programs for. Implemented in Ogre::CgProgramFactory, Ogre::D3D9HLSLProgramFactory, and Ogre::GLSLProgramFactory.

The documentation for this class was generated from the following file:

- OgreHighLevelGpuProgramManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:47 2006